<id>
Quick Quote and Username for YaBB 2.1
</id>

<version>
1.7
</version>

<mod info>
This mod add function "QuickQuote" and "Username"for "Quick Reply Box Addon" on your Forum. Work only with Quick Reply Box.

Instruction:
Select text and click QuickQuote button. Selected text insert as quote in message area in Quick Reply Box
Click icon next username left to insert username in message area in Quick Reply Box.

Installation:
1) Modify YaBB files using BoardMod or manually.
2) Load modified files to your server in ASCII mode.

Admin/ModList.pl (ASCII)
Languages/English/Display.lng (ASCII)
Languages/English/Menu.lng (ASCII)
Sources/Display.pl (ASCII)
Variables/Menu0.def (ASCII)
Variables/Menu1.def (ASCII)
Variables/Menu2.def (ASCII)

yabbfiles/ubbc.js (ASCII)
yabbfiles/Buttons/English/quick_quote.png (Binary)
yabbfiles/Templates/Forum/default/qquname.gif (Binary)


</mod info>

<author>
Boris Tjuvanov (MF-B) and Jeffrey Man (Jet Li)
</author>

<homepage>
http://www.mf-b.ru and http://www.grafix-world.nl
</homepage>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$quick_quote = "Quick_Quote_mod_YaBB21|Boris Tjuvanov (MF-B) and Jeffrey Man (Jet Li)|This mod add function for QuickQuote and Username on your Forum. Work only with Quick Reply Box.|1.7|11/03/07";
	push (@installed_mods, "$quick_quote");
</add before>

<edit file>
Languages/English/Display.lng
</edit file>

<search for>
'146' => "Reply",
</search for>

<add after>
'146n' => "Paste User Name in Quick Reply Box",
'146q' => "Mark the text to use Quick-Quote",
</add after>

<edit file>
Languages/English/Menu.lng
</edit file>

<search for>
'145' => "Quote",
</search for>

<add after>
'145q' => "Quick-Quote",
</add after>

<edit file>
Sources/Display.pl
</edit file>

<search for>
				$template_quote = qq~$menusep<a href="$scripturl?action=post;num=$viewnum;quote=$counter;title=PostReply">$img{'replyquote'}</a>~;
			}
</search for>

<add before>
				if ($enable_quickreply == 1) {                              
					if ($musername ne 'Guest') { 
						$qquotename = qq~${$uid.$musername}{'realname'}~;
						$qqnametext = qq~\[color=#FFCC00\]@\[\/color\]\[b\]${$uid.$musername}{'realname'}\[\/b\]\\n~;
					} else {
						$qquotename = $mname;
						$qqnametext = qq~\[color=#FFCC00\]@\[\/color\]\[b\]$mname\[\/b\]\\n~;
					}
					$template_qquote = qq~$menusep<a onmousedown="javascript:quoteSelection('$qquotename',$viewnum,$counter,$mdate); return false;" href="#quickreply">$img{'replyqquote'}</a>~;
					$template_qqname = qq~<a onmousedown="javascript:AddText('$qqnametext'); return false;" href="#quickreply"><img src="$defaultimagesdir/qquname.gif" border="0" alt="$display_txt{'146n'}" /></a>&nbsp;~;
				}
</add before>

<search for>
		$posthandelblock =~ s/<yabb quote>/$template_quote/g;
</search for>

<add before>
		$posthandelblock =~ s/<yabb qquote>/$template_qquote/g;
</add before>

<search for>
		$outblock =~ s/<yabb userlink>/$usernamelink/g;
</search for>

<add before>
		$outblock =~ s/<yabb qqname>/$template_qqname/g;
</add before>

<search for>
if (theForm.message.value == "") { alert("$post_txt{'78'}"); theForm.message.focus(); return false }
return true
}
</search for>

<add after>
function alertqq() {
     alert("$display_txt{'146q'}");
}
</add after>

<search for>
<input type="hidden" name="threadid" value="$viewnum" />
<input type="hidden" name="icon" value="xx" />
</search for>

<add after>
<a name="quickreply"></a>
</add after>

<edit file>
Templates/default/Display.template
</edit file>

<search for>
		<div class="$messageclass" style="float: left; width: 99%; overflow: auto;">
			<yabb message>
		</div>
</search for>

<replace>
		<div onmouseup="get_selection();" class="$messageclass" style="float: left; width: 99%; overflow: auto;">
			<yabb message>
		</div>
</replace>

<search for>
		<yabb userlink>
</search for>

<replace>
		<yabb qqname><yabb userlink>
</replace>

<search for>
	<yabb quote><yabb modify><yabb split><yabb delete>&nbsp;<yabb admin>
</search for>

<replace>
	<yabb qquote><yabb quote><yabb modify><yabb split><yabb delete>&nbsp;<yabb admin>
</replace>

<edit file>
Variables/Menu0.def
</edit file>

<search for>
'replyquote' => "<img src=\"$imagesdir/quote.$imgext\" alt=\"$img_txt{'145'}\" border=\"0\" /> <span class=\"imgwindowbg\">$img_txt{'145'}</span>",
</search for>

<add before>
'replyqquote' => "<img src=\"$imagesdir/quote.$imgext\" alt=\"$img_txt{'145q'}\" border=\"0\" /> <span class=\"imgwindowbg\">$img_txt{'145q'}</span>",
</add before>

<edit file>
Variables/Menu1.def
</edit file>

<search for>
'replyquote' => "<span class=\"imgwindowbg\">$img_txt{'145'}</span>",
</search for>

<add before>
'replyqquote' => "<span class=\"imgwindowbg\">$img_txt{'145q'}</span>",
</add before>

<edit file>
Variables/Menu2.def
</edit file>

<search for>
'replyquote' => "<img src=\"$html_root/Buttons/$language/quote.$imgext\" alt=\"$img_txt{'145'}\" border=\"0\" />",
</search for>

<add before>
'replyqquote' => "<img src=\"$html_root/Buttons/$language/quick_quote.$imgext\" alt=\"$img_txt{'145q'}\" border=\"0\" />",
</add before>

<edit file>
ubbc.js
</edit file>

<search for>
function cry() {
	AddText(" :'(");
}
</search for>

<add after>
var selection='';
var quote_name='';
var quote_topic_id='';
var quote_msg_id='';
var quote_msg_id2='';
var quote_date=0;

function quoteSelection(_name, _topic_id, _msg_id, _date) {
    if (selection) {
            quote_name=_name;
            quote_topic_id=_topic_id;
            quote_msg_id=_msg_id;
            quote_date=_date;
            AddText('[quote author='+quote_name+' link='+quote_topic_id+'/'+quote_msg_id+'#'+quote_msg_id+' date='+quote_date+']'+selection+' [/quote] ');
            selection = '';
            return;
      } else {
            alertqq();
      }
}

function get_selection() { 
   if (document.getSelection) { 
      selection = document.getSelection(); 
      selection = selection.replace(/\r\n\r\n/gi, "_doublecaret_"); 
      selection = selection.replace(/\r\n/gi, "_caret_"); 
      while (selection.indexOf("  ") !=-1) selection = selection.replace(/  /gi, ""); 
      selection = selection.replace(/_doublecaret_/gi, "\r\n\r\n");
      selection = selection.replace(/_caret_/gi, "\r\n");
   } else { 
      selection = document.selection.createRange().text; 
   } 
}
</add after>